## mythtv 31.0+fixes.20200323.9579662cdc

=== external/Makefile ===
include ../config.mak

SUBDIRS = FFmpeg libmythdvdnav libudfread
SUBDIRS += libmythsoundtouch

ifneq ($(CONFIG_LIBBLURAY_EXTERNAL),yes)
    SUBDIRS += libmythbluray
endif

SUBDIRS_ALL = $(addsuffix -all, ${SUBDIRS})
SUBDIRS_INSTALL = $(addsuffix -install, ${SUBDIRS})
SUBDIRS_UNINSTALL = $(addsuffix -uninstall, ${SUBDIRS})
SUBDIRS_CLEAN = $(addsuffix -clean, ${SUBDIRS})
SUBDIRS_DISTCLEAN = $(addsuffix -distclean, ${SUBDIRS} nv-codec-headers)

default:	all
all:		${SUBDIRS_ALL}
install:	${SUBDIRS_INSTALL}
uninstall:	${SUBDIRS_UNINSTALL}
clean:		${SUBDIRS_CLEAN}
distclean:	${SUBDIRS_DISTCLEAN}


FFmpeg-all FFmpeg-install FFmpeg-uninstall FFmpeg-clean FFmpeg-distclean:
	${MAKE} -C FFmpeg ${@:FFmpeg-%=%} DESTDIR=${INSTALL_ROOT}

libmythbluray-all libmythbluray-clean libmythbluray-distclean libmythbluray-install libmythbluray-uninstall:
	${MAKE} -C libmythbluray ${@:libmythbluray-%=%}

libmythdvdnav-all libmythdvdnav-clean libmythdvdnav-distclean libmythdvdnav-install libmythdvdnav-uninstall:
	${MAKE} -C libmythdvdnav ${@:libmythdvdnav-%=%}

libudfread-all libudfread-clean libudfread-distclean libudfread-install libudfread-uninstall:
	${MAKE} -C libudfread ${@:libudfread-%=%}

libmythsoundtouch-all libmythsoundtouch-clean libmythsoundtouch-distclean libmythsoundtouch-install libmythsoundtouch-uninstall:
	${MAKE} -C libmythsoundtouch ${@:libmythsoundtouch-%=%}

nv-codec-headers-distclean:
	rm -rf nv-codec-headers/install nv-codec-headers/ffnvcodec.pc

=== external/FFmpeg/Makefile ===
MAIN_MAKEFILE=1
include ffbuild/config.mak

vpath %.c    $(SRC_PATH)
vpath %.cpp  $(SRC_PATH)
vpath %.h    $(SRC_PATH)
vpath %.inc  $(SRC_PATH)
vpath %.m    $(SRC_PATH)
vpath %.S    $(SRC_PATH)
vpath %.asm  $(SRC_PATH)
vpath %.rc   $(SRC_PATH)
vpath %.v    $(SRC_PATH)
vpath %.texi $(SRC_PATH)
vpath %.cu   $(SRC_PATH)
vpath %.ptx  $(SRC_PATH)
vpath %/fate_config.sh.template $(SRC_PATH)

TESTTOOLS   = audiogen videogen rotozoom tiny_psnr tiny_ssim base64 audiomatch
HOSTPROGS  := $(TESTTOOLS:%=tests/%) doc/print_options

# $(FFLIBS-yes) needs to be in linking order
FFLIBS-$(CONFIG_AVDEVICE)   += avdevice
FFLIBS-$(CONFIG_AVFILTER)   += avfilter
FFLIBS-$(CONFIG_AVFORMAT)   += avformat
FFLIBS-$(CONFIG_AVCODEC)    += avcodec
FFLIBS-$(CONFIG_AVRESAMPLE) += avresample
FFLIBS-$(CONFIG_POSTPROC)   += postproc
FFLIBS-$(CONFIG_SWRESAMPLE) += swresample
FFLIBS-$(CONFIG_SWSCALE)    += swscale

FFLIBS := avutil

DATA_FILES := $(wildcard $(SRC_PATH)/presets/*.ffpreset) $(SRC_PATH)/doc/ffprobe.xsd

SKIPHEADERS = compat/w32pthreads.h

# first so "all" becomes default target
all: all-yes

include $(SRC_PATH)/tools/Makefile
include $(SRC_PATH)/ffbuild/common.mak

FF_EXTRALIBS := $(FFEXTRALIBS)
FF_DEP_LIBS  := $(DEP_LIBS)
FF_STATIC_DEP_LIBS := $(STATIC_DEP_LIBS)

$(TOOLS): %$(EXESUF): %.o
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(EXTRALIBS-$(*F)) $(EXTRALIBS) $(ELIBS)

target_dec_%_fuzzer$(EXESUF): target_dec_%_fuzzer.o $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(ELIBS) $(FF_EXTRALIBS) $(LIBFUZZER_PATH)

tools/target_dem_fuzzer$(EXESUF): tools/target_dem_fuzzer.o $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(ELIBS) $(FF_EXTRALIBS) $(LIBFUZZER_PATH)

tools/sofa2wavs$(EXESUF): ELIBS = $(FF_EXTRALIBS)
tools/uncoded_frame$(EXESUF): $(FF_DEP_LIBS)
tools/uncoded_frame$(EXESUF): ELIBS = $(FF_EXTRALIBS)
tools/target_dec_%_fuzzer$(EXESUF): $(FF_DEP_LIBS)

CONFIGURABLE_COMPONENTS =                                           \
    $(wildcard $(FFLIBS:%=$(SRC_PATH)/lib%/all*.c))                 \
    $(SRC_PATH)/libavcodec/bitstream_filters.c                      \
    $(SRC_PATH)/libavcodec/parsers.c                                \
    $(SRC_PATH)/libavformat/protocols.c                             \

config.h: ffbuild/.config
ffbuild/.config: $(CONFIGURABLE_COMPONENTS)
	@-tput bold 2>/dev/null
	@-printf '\nWARNING: $(?) newer than config.h, rerun configure\n\n'
	@-tput sgr0 2>/dev/null

SUBDIR_VARS := CLEANFILES FFLIBS HOSTPROGS TESTPROGS TOOLS               \
               HEADERS ARCH_HEADERS BUILT_HEADERS SKIPHEADERS            \
               ARMV5TE-OBJS ARMV6-OBJS ARMV8-OBJS VFP-OBJS NEON-OBJS     \
               ALTIVEC-OBJS VSX-OBJS MMX-OBJS X86ASM-OBJS                \
               MIPSFPU-OBJS MIPSDSPR2-OBJS MIPSDSP-OBJS MSA-OBJS         \
               MMI-OBJS OBJS SLIBOBJS HOSTOBJS TESTOBJS

define RESET
$(1) :=
$(1)-yes :=
endef

define DOSUBDIR
$(foreach V,$(SUBDIR_VARS),$(eval $(call RESET,$(V))))
SUBDIR := $(1)/
include $(SRC_PATH)/$(1)/Makefile
-include $(SRC_PATH)/$(1)/$(ARCH)/Makefile
-include $(SRC_PATH)/$(1)/$(INTRINSICS)/Makefile
include $(SRC_PATH)/ffbuild/library.mak
endef

$(foreach D,$(FFLIBS),$(eval $(call DOSUBDIR,lib$(D))))

include $(SRC_PATH)/fftools/Makefile
#include $(SRC_PATH)/doc/Makefile
#include $(SRC_PATH)/doc/examples/Makefile

libavcodec/utils.o libavformat/utils.o libavdevice/avdevice.o libavfilter/avfilter.o libavutil/utils.o libpostproc/postprocess.o libswresample/swresample.o libswscale/utils.o : libavutil/ffversion.h

$(PROGS): %$(PROGSSUF)$(EXESUF): %$(PROGSSUF)_g$(EXESUF)
ifeq ($(STRIPTYPE),direct)
	$(STRIP) -o $@ $<
else
	$(CP) $< $@
	$(STRIP) $@
endif

%$(PROGSSUF)_g$(EXESUF): $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $(OBJS-$*) $(FF_EXTRALIBS)

VERSION_SH  = $(SRC_PATH)/ffbuild/version.sh
GIT_LOG     = $(SRC_PATH)/.git/logs/HEAD

.version: $(wildcard $(GIT_LOG)) $(VERSION_SH) ffbuild/config.mak
.version: M=@

libavutil/ffversion.h .version:
	$(M)$(VERSION_SH) $(SRC_PATH) libavutil/ffversion.h $(EXTRA_VERSION)
	$(Q)touch .version

# force version.sh to run whenever version might have changed
-include .version

install: install-libs install-headers

install-libs: install-libs-yes

install-data: $(DATA_FILES)
	$(Q)mkdir -p "$(DATADIR)"
	$(INSTALL) -m 644 $(DATA_FILES) "$(DATADIR)"

uninstall: uninstall-data uninstall-headers uninstall-libs uninstall-pkgconfig

uninstall-data:
	$(RM) -r "$(DATADIR)"

clean::
	$(RM) $(CLEANSUFFIXES)
	$(RM) $(addprefix compat/,$(CLEANSUFFIXES)) $(addprefix compat/*/,$(CLEANSUFFIXES)) $(addprefix compat/*/*/,$(CLEANSUFFIXES))
	$(RM) -r coverage-html
	$(RM) -rf coverage.info coverage.info.in lcov

distclean:: clean
	$(RM) .version avversion.h config.asm config.h mapfile  \
		ffbuild/.config ffbuild/config.* libavutil/avconfig.h \
		version.h libavutil/ffversion.h libavcodec/codec_names.h \
		libavcodec/bsf_list.c libavformat/protocol_list.c \
		libavcodec/codec_list.c libavcodec/parser_list.c \
		libavformat/muxer_list.c libavformat/demuxer_list.c
ifeq ($(SRC_LINK),src)
	$(RM) src
endif
	$(RM) -rf doc/examples/pc-uninstalled

config:
	$(SRC_PATH)/configure $(value FFMPEG_CONFIGURATION)

build: all alltools examples testprogs
check: all alltools examples testprogs fate

include $(SRC_PATH)/tests/Makefile

$(sort $(OUTDIRS)):
	$(Q)mkdir -p $@

# Dummy rule to stop make trying to rebuild removed or renamed headers
%.h:
	@:

# Disable suffix rules.  Most of the builtin rules are suffix rules,
# so this saves some time on slow systems.
.SUFFIXES:

.PHONY: all all-yes alltools build check config testprogs
.PHONY: *clean install* uninstall*

=== external/FFmpeg/fftools/Makefile ===
AVPROGS-$(CONFIG_FFMPEG)   += ffmpeg
AVPROGS-$(CONFIG_FFPLAY)   += ffplay
AVPROGS-$(CONFIG_FFPROBE)  += ffprobe

AVPROGS     := $(AVPROGS-yes:%=%$(PROGSSUF)$(EXESUF))
PROGS       += $(AVPROGS)
MYTHPROGS   = $(addprefix myth, ${PROGS})
MYTHFFLIBS  = -lmythavfilter -lmythavformat -lmythavcodec -lmythavresample \
-lmythpostproc -lmythswresample -lmythswscale

AVBASENAMES  = ffmpeg ffplay ffprobe
ALLAVPROGS   = $(AVBASENAMES:%=%$(PROGSSUF)$(EXESUF))
ALLAVPROGS_G = $(AVBASENAMES:%=%$(PROGSSUF)_g$(EXESUF))

OBJS-ffmpeg                        += fftools/ffmpeg_opt.o fftools/ffmpeg_filter.o fftools/ffmpeg_hw.o
OBJS-ffmpeg-$(CONFIG_CUVID)        += fftools/ffmpeg_cuvid.o
OBJS-ffmpeg-$(CONFIG_LIBMFX)       += fftools/ffmpeg_qsv.o
ifndef CONFIG_VIDEOTOOLBOX
OBJS-ffmpeg-$(CONFIG_VDA)          += fftools/ffmpeg_videotoolbox.o
endif
OBJS-ffmpeg-$(CONFIG_VIDEOTOOLBOX) += fftools/ffmpeg_videotoolbox.o

define DOFFTOOL
OBJS-$(1) += fftools/cmdutils.o fftools/$(1).o $(OBJS-$(1)-yes)
$(1)$(PROGSSUF)_g$(EXESUF): $$(OBJS-$(1))
$$(OBJS-$(1)): | fftools
$$(OBJS-$(1)): CFLAGS  += $(CFLAGS-$(1))
$(1)$(PROGSSUF)_g$(EXESUF): LDFLAGS += $(LDFLAGS-$(1))
$(1)$(PROGSSUF)_g$(EXESUF): FF_EXTRALIBS += $(EXTRALIBS-$(1))
-include $$(OBJS-$(1):.o=.d)
endef

$(foreach P,$(AVPROGS-yes),$(eval $(call DOFFTOOL,$(P))))

all: $(AVPROGS)

fftools/ffprobe.o fftools/cmdutils.o: libavutil/ffversion.h | fftools
OUTDIRS += fftools

# ${MYTHPROGS}:
mythffmpeg:
	cp ffmpeg_g mythffmpeg

mythffprobe:
	cp ffprobe_g mythffprobe

mythffserver:
	cp ffserver_g mythffserver

mythffplay:
	cp ffplay_g mythffplay

ifdef AVPROGS
install: install-mythprogs

endif

install-progs-yes:
install-progs-$(CONFIG_SHARED): install-libs

install-progs: install-progs-yes $(AVPROGS)
	$(Q)mkdir -p "$(BINDIR)"
	$(INSTALL) -c -m 755 $(AVPROGS) "$(BINDIR)"

install-mythprogs: install-progs-yes $(MYTHPROGS)
	$(Q)mkdir -p "$(BINDIR)"
	$(INSTALL) -c -m 755 $(MYTHPROGS) "$(BINDIR)"

uninstall: uninstall-progs

uninstall-progs:
	$(RM) $(addprefix "$(BINDIR)/", $(ALLAVPROGS))

clean::
	$(RM) $(ALLAVPROGS) $(ALLAVPROGS_G) $(CLEANSUFFIXES:%=fftools/%)

=== external/FFmpeg/libavcodec/Makefile ===
NAME = avcodec
DESC = FFmpeg codec library

HEADERS = ac3_parser.h                                                  \
          adts_parser.h                                                 \
          avcodec.h                                                     \
          avdct.h                                                       \
          avfft.h                                                       \
          d3d11va.h                                                     \
          dirac.h                                                       \
          dv_profile.h                                                  \
          dxva2.h                                                       \
          jni.h                                                         \
          mediacodec.h                                                  \
          qsv.h                                                         \
          vaapi.h                                                       \
          vdpau.h                                                       \
          version.h                                                     \
          videotoolbox.h                                                \
          vorbis_parser.h                                               \
          xvmc.h                                                        \

OBJS = ac3_parser.o                                                     \
       adts_parser.o                                                    \
       allcodecs.o                                                      \
       avdct.o                                                          \
       avpacket.o                                                       \
       avpicture.o                                                      \
       bitstream.o                                                      \
       bitstream_filter.o                                               \
       bitstream_filters.o                                              \
       bsf.o                                                            \
       codec_desc.o                                                     \
       d3d11va.o                                                        \
       decode.o                                                         \
       dirac.o                                                          \
       dv_profile.o                                                     \
       encode.o                                                         \
       imgconvert.o                                                     \
       jni.o                                                            \
       mathtables.o                                                     \
       mediacodec.o                                                     \
       mpeg12framerate.o                                                \
       options.o                                                        \
       mjpegenc_huffman.o                                               \
       parser.o                                                         \
       parsers.o                                                        \
       profiles.o                                                       \
       qsv_api.o                                                        \
       raw.o                                                            \
       utils.o                                                          \
       vorbis_parser.o                                                  \
       xiph.o                                                           \
       utils-mythtv.o                                                   \

# subsystems
OBJS-$(CONFIG_AANDCTTABLES)            += aandcttab.o
OBJS-$(CONFIG_AC3DSP)                  += ac3dsp.o ac3.o ac3tab.o
OBJS-$(CONFIG_ADTS_HEADER)             += adts_header.o mpeg4audio.o
OBJS-$(CONFIG_AMF)                     += amfenc.o
OBJS-$(CONFIG_AUDIO_FRAME_QUEUE)       += audio_frame_queue.o
OBJS-$(CONFIG_AUDIODSP)                += audiodsp.o
OBJS-$(CONFIG_BLOCKDSP)                += blockdsp.o
OBJS-$(CONFIG_BSWAPDSP)                += bswapdsp.o
OBJS-$(CONFIG_CABAC)                   += cabac.o
OBJS-$(CONFIG_CBS)                     += cbs.o
OBJS-$(CONFIG_CBS_AV1)                 += cbs_av1.o
OBJS-$(CONFIG_CBS_H264)                += cbs_h2645.o h2645_parse.o
OBJS-$(CONFIG_CBS_H265)                += cbs_h2645.o h2645_parse.o
OBJS-$(CONFIG_CBS_JPEG)                += cbs_jpeg.o
OBJS-$(CONFIG_CBS_MPEG2)               += cbs_mpeg2.o
OBJS-$(CONFIG_CBS_VP9)                 += cbs_vp9.o
OBJS-$(CONFIG_CRYSTALHD)               += crystalhd.o
OBJS-$(CONFIG_DCT)                     += dct.o dct32_fixed.o dct32_float.o
OBJS-$(CONFIG_ERROR_RESILIENCE)        += error_resilience.o
OBJS-$(CONFIG_EXIF)                    += exif.o tiff_common.o
OBJS-$(CONFIG_FAANDCT)                 += faandct.o
OBJS-$(CONFIG_FAANIDCT)                += faanidct.o
OBJS-$(CONFIG_FDCTDSP)                 += fdctdsp.o jfdctfst.o jfdctint.o
FFT-OBJS-$(CONFIG_HARDCODED_TABLES)    += cos_tables.o cos_fixed_tables.o
OBJS-$(CONFIG_FFT)                     += avfft.o fft_fixed.o fft_float.o \
                                          fft_fixed_32.o fft_init_table.o \
                                          $(FFT-OBJS-yes)
OBJS-$(CONFIG_FLACDSP)                 += flacdsp.o
OBJS-$(CONFIG_FMTCONVERT)              += fmtconvert.o
OBJS-$(CONFIG_GOLOMB)                  += golomb.o
OBJS-$(CONFIG_H263DSP)                 += h263dsp.o
OBJS-$(CONFIG_H264CHROMA)              += h264chroma.o
OBJS-$(CONFIG_H264DSP)                 += h264dsp.o h264idct.o
OBJS-$(CONFIG_H264PARSE)               += h264_parse.o h2645_parse.o h264_ps.o
OBJS-$(CONFIG_H264PRED)                += h264pred.o
OBJS-$(CONFIG_H264QPEL)                += h264qpel.o
OBJS-$(CONFIG_HEVCPARSE)               += hevc_parse.o h2645_parse.o hevc_ps.o hevc_sei.o hevc_data.o
OBJS-$(CONFIG_HPELDSP)                 += hpeldsp.o
OBJS-$(CONFIG_HUFFMAN)                 += huffman.o
OBJS-$(CONFIG_HUFFYUVDSP)              += huffyuvdsp.o
OBJS-$(CONFIG_HUFFYUVENCDSP)           += huffyuvencdsp.o
OBJS-$(CONFIG_IDCTDSP)                 += idctdsp.o simple_idct.o jrevdct.o
OBJS-$(CONFIG_IIRFILTER)               += iirfilter.o
OBJS-$(CONFIG_MDCT15)                  += mdct15.o
OBJS-$(CONFIG_INTRAX8)                 += intrax8.o intrax8dsp.o msmpeg4data.o
OBJS-$(CONFIG_IVIDSP)                  += ivi_dsp.o
OBJS-$(CONFIG_JNI)                     += ffjni.o jni.o
OBJS-$(CONFIG_JPEGTABLES)              += jpegtables.o
OBJS-$(CONFIG_LLAUDDSP)                += lossless_audiodsp.o
OBJS-$(CONFIG_LLVIDDSP)                += lossless_videodsp.o
OBJS-$(CONFIG_LLVIDENCDSP)             += lossless_videoencdsp.o
OBJS-$(CONFIG_LPC)                     += lpc.o
OBJS-$(CONFIG_LSP)                     += lsp.o
OBJS-$(CONFIG_LZF)                     += lzf.o
OBJS-$(CONFIG_MDCT)                    += mdct_fixed.o mdct_float.o mdct_fixed_32.o
OBJS-$(CONFIG_ME_CMP)                  += me_cmp.o
OBJS-$(CONFIG_MEDIACODEC)              += mediacodecdec_common.o mediacodec_surface.o mediacodec_wrapper.o mediacodec_sw_buffer.o
OBJS-$(CONFIG_MPEG_ER)                 += mpeg_er.o
OBJS-$(CONFIG_MPEGAUDIO)               += mpegaudio.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += mpegaudiodsp.o                \
                                          mpegaudiodsp_data.o           \
                                          mpegaudiodsp_fixed.o          \
                                          mpegaudiodsp_float.o
OBJS-$(CONFIG_MPEGAUDIOHEADER)         += mpegaudiodecheader.o mpegaudiodata.o
OBJS-$(CONFIG_MPEGVIDEO)               += mpegvideo.o mpegvideodsp.o rl.o \
                                          mpegvideo_motion.o mpegutils.o \
                                          mpegvideodata.o mpegpicture.o
OBJS-$(CONFIG_MPEGVIDEOENC)            += mpegvideo_enc.o mpeg12data.o  \
                                          motion_est.o ratecontrol.o    \
                                          mpegvideoencdsp.o
OBJS-$(CONFIG_MSS34DSP)                += mss34dsp.o
OBJS-$(CONFIG_NVENC)                   += nvenc.o
OBJS-$(CONFIG_PIXBLOCKDSP)             += pixblockdsp.o
OBJS-$(CONFIG_QPELDSP)                 += qpeldsp.o
OBJS-$(CONFIG_QSV)                     += qsv.o
OBJS-$(CONFIG_QSVDEC)                  += qsvdec.o
OBJS-$(CONFIG_QSVENC)                  += qsvenc.o
OBJS-$(CONFIG_RANGECODER)              += rangecoder.o
OBJS-$(CONFIG_RDFT)                    += rdft.o
OBJS-$(CONFIG_RV34DSP)                 += rv34dsp.o
OBJS-$(CONFIG_SHARED)                  += log2_tab.o reverse.o
OBJS-$(CONFIG_SINEWIN)                 += sinewin.o sinewin_fixed.o
OBJS-$(CONFIG_SNAPPY)                  += snappy.o
OBJS-$(CONFIG_STARTCODE)               += startcode.o
OBJS-$(CONFIG_TEXTUREDSP)              += texturedsp.o
OBJS-$(CONFIG_TEXTUREDSPENC)           += texturedspenc.o
OBJS-$(CONFIG_TPELDSP)                 += tpeldsp.o
OBJS-$(CONFIG_VAAPI_ENCODE)            += vaapi_encode.o
OBJS-$(CONFIG_VC1DSP)                  += vc1dsp.o
OBJS-$(CONFIG_VIDEODSP)                += videodsp.o
OBJS-$(CONFIG_VP3DSP)                  += vp3dsp.o
OBJS-$(CONFIG_VP56DSP)                 += vp56dsp.o
OBJS-$(CONFIG_VP8DSP)                  += vp8dsp.o
OBJS-$(CONFIG_V4L2_M2M)                += v4l2_m2m.o v4l2_context.o v4l2_buffers.o v4l2_fmt.o
OBJS-$(CONFIG_WMA_FREQS)               += wma_freqs.o
OBJS-$(CONFIG_WMV2DSP)                 += wmv2dsp.o

# decoders/encoders
OBJS-$(CONFIG_ZERO12V_DECODER)         += 012v.o
OBJS-$(CONFIG_A64MULTI_ENCODER)        += a64multienc.o elbg.o
OBJS-$(CONFIG_A64MULTI5_ENCODER)       += a64multienc.o elbg.o
OBJS-$(CONFIG_AAC_DECODER)             += aacdec.o aactab.o aacsbr.o aacps_float.o \
                                          mpeg4audio.o kbdwin.o \
                                          sbrdsp.o aacpsdsp_float.o cbrt_data.o
OBJS-$(CONFIG_AAC_FIXED_DECODER)       += aacdec_fixed.o aactab.o aacsbr_fixed.o aacps_fixed.o \
                                          mpeg4audio.o kbdwin.o \
                                          sbrdsp_fixed.o aacpsdsp_fixed.o cbrt_data_fixed.o
OBJS-$(CONFIG_AAC_ENCODER)             += aacenc.o aaccoder.o aacenctab.o    \
                                          aacpsy.o aactab.o      \
                                          aacenc_is.o \
                                          aacenc_tns.o \
                                          aacenc_ltp.o \
                                          aacenc_pred.o \
                                          psymodel.o mpeg4audio.o kbdwin.o cbrt_data.o
OBJS-$(CONFIG_AASC_DECODER)            += aasc.o msrledec.o
OBJS-$(CONFIG_AC3_DECODER)             += ac3dec_float.o ac3dec_data.o ac3.o kbdwin.o ac3tab.o
OBJS-$(CONFIG_AC3_FIXED_DECODER)       += ac3dec_fixed.o ac3dec_data.o ac3.o kbdwin.o ac3tab.o
OBJS-$(CONFIG_AC3_ENCODER)             += ac3enc_float.o ac3enc.o ac3tab.o \
                                          ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_FIXED_ENCODER)       += ac3enc_fixed.o ac3enc.o ac3tab.o ac3.o
OBJS-$(CONFIG_AGM_DECODER)             += agm.o
OBJS-$(CONFIG_AIC_DECODER)             += aic.o
OBJS-$(CONFIG_ALAC_DECODER)            += alac.o alac_data.o alacdsp.o
OBJS-$(CONFIG_ALAC_ENCODER)            += alacenc.o alac_data.o
OBJS-$(CONFIG_ALIAS_PIX_DECODER)       += aliaspixdec.o
OBJS-$(CONFIG_ALIAS_PIX_ENCODER)       += aliaspixenc.o
OBJS-$(CONFIG_ALS_DECODER)             += alsdec.o bgmc.o mlz.o mpeg4audio.o
OBJS-$(CONFIG_AMRNB_DECODER)           += amrnbdec.o celp_filters.o   \
                                          celp_math.o acelp_filters.o \
                                          acelp_vectors.o             \
                                          acelp_pitch_delay.o
OBJS-$(CONFIG_AMRWB_DECODER)           += amrwbdec.o celp_filters.o   \

=== external/FFmpeg/libavfilter/Makefile ===
NAME = avfilter
DESC = FFmpeg audio/video filtering library

HEADERS = avfilter.h                                                    \
          buffersink.h                                                  \
          buffersrc.h                                                   \
          version.h                                                     \

OBJS = allfilters.o                                                     \
       audio.o                                                          \
       avfilter.o                                                       \
       avfiltergraph.o                                                  \
       buffersink.o                                                     \
       buffersrc.o                                                      \
       drawutils.o                                                      \
       fifo.o                                                           \
       formats.o                                                        \
       framepool.o                                                      \
       framequeue.o                                                     \
       graphdump.o                                                      \
       graphparser.o                                                    \
       transform.o                                                      \
       video.o                                                          \

OBJS-$(HAVE_THREADS)                         += pthread.o

# subsystems
OBJS-$(CONFIG_QSVVPP)                        += qsvvpp.o
DNN-OBJS-$(CONFIG_LIBTENSORFLOW)             += dnn_backend_tf.o
OBJS-$(CONFIG_DNN)                           += dnn_interface.o dnn_backend_native.o $(DNN-OBJS-yes)
OBJS-$(CONFIG_SCENE_SAD)                     += scene_sad.o

# audio filters
OBJS-$(CONFIG_ABENCH_FILTER)                 += f_bench.o
OBJS-$(CONFIG_ACOMPRESSOR_FILTER)            += af_sidechaincompress.o
OBJS-$(CONFIG_ACONTRAST_FILTER)              += af_acontrast.o
OBJS-$(CONFIG_ACOPY_FILTER)                  += af_acopy.o
OBJS-$(CONFIG_ACROSSFADE_FILTER)             += af_afade.o
OBJS-$(CONFIG_ACROSSOVER_FILTER)             += af_acrossover.o
OBJS-$(CONFIG_ACRUSHER_FILTER)               += af_acrusher.o
OBJS-$(CONFIG_ACUE_FILTER)                   += f_cue.o
OBJS-$(CONFIG_ADECLICK_FILTER)               += af_adeclick.o
OBJS-$(CONFIG_ADECLIP_FILTER)                += af_adeclick.o
OBJS-$(CONFIG_ADELAY_FILTER)                 += af_adelay.o
OBJS-$(CONFIG_ADERIVATIVE_FILTER)            += af_aderivative.o
OBJS-$(CONFIG_AECHO_FILTER)                  += af_aecho.o
OBJS-$(CONFIG_AEMPHASIS_FILTER)              += af_aemphasis.o
OBJS-$(CONFIG_AEVAL_FILTER)                  += aeval.o
OBJS-$(CONFIG_AFADE_FILTER)                  += af_afade.o
OBJS-$(CONFIG_AFFTDN_FILTER)                 += af_afftdn.o
OBJS-$(CONFIG_AFFTFILT_FILTER)               += af_afftfilt.o
OBJS-$(CONFIG_AFIR_FILTER)                   += af_afir.o
OBJS-$(CONFIG_AFORMAT_FILTER)                += af_aformat.o
OBJS-$(CONFIG_AGATE_FILTER)                  += af_agate.o
OBJS-$(CONFIG_AIIR_FILTER)                   += af_aiir.o
OBJS-$(CONFIG_AINTEGRAL_FILTER)              += af_aderivative.o
OBJS-$(CONFIG_AINTERLEAVE_FILTER)            += f_interleave.o
OBJS-$(CONFIG_ALIMITER_FILTER)               += af_alimiter.o
OBJS-$(CONFIG_ALLPASS_FILTER)                += af_biquads.o
OBJS-$(CONFIG_ALOOP_FILTER)                  += f_loop.o
OBJS-$(CONFIG_AMERGE_FILTER)                 += af_amerge.o
OBJS-$(CONFIG_AMETADATA_FILTER)              += f_metadata.o
OBJS-$(CONFIG_AMIX_FILTER)                   += af_amix.o
OBJS-$(CONFIG_AMULTIPLY_FILTER)              += af_amultiply.o
OBJS-$(CONFIG_ANEQUALIZER_FILTER)            += af_anequalizer.o
OBJS-$(CONFIG_ANLMDN_FILTER)                 += af_anlmdn.o
OBJS-$(CONFIG_ANULL_FILTER)                  += af_anull.o
OBJS-$(CONFIG_APAD_FILTER)                   += af_apad.o
OBJS-$(CONFIG_APERMS_FILTER)                 += f_perms.o
OBJS-$(CONFIG_APHASER_FILTER)                += af_aphaser.o generate_wave_table.o
OBJS-$(CONFIG_APULSATOR_FILTER)              += af_apulsator.o
OBJS-$(CONFIG_AREALTIME_FILTER)              += f_realtime.o
OBJS-$(CONFIG_ARESAMPLE_FILTER)              += af_aresample.o
OBJS-$(CONFIG_AREVERSE_FILTER)               += f_reverse.o
OBJS-$(CONFIG_ASELECT_FILTER)                += f_select.o
OBJS-$(CONFIG_ASENDCMD_FILTER)               += f_sendcmd.o
OBJS-$(CONFIG_ASETNSAMPLES_FILTER)           += af_asetnsamples.o
OBJS-$(CONFIG_ASETPTS_FILTER)                += setpts.o
OBJS-$(CONFIG_ASETRATE_FILTER)               += af_asetrate.o
OBJS-$(CONFIG_ASETTB_FILTER)                 += settb.o
OBJS-$(CONFIG_ASHOWINFO_FILTER)              += af_ashowinfo.o
OBJS-$(CONFIG_ASIDEDATA_FILTER)              += f_sidedata.o
OBJS-$(CONFIG_ASOFTCLIP_FILTER)              += af_asoftclip.o
OBJS-$(CONFIG_ASPLIT_FILTER)                 += split.o
OBJS-$(CONFIG_ASR_FILTER)                    += af_asr.o
OBJS-$(CONFIG_ASTATS_FILTER)                 += af_astats.o
OBJS-$(CONFIG_ASTREAMSELECT_FILTER)          += f_streamselect.o framesync.o
OBJS-$(CONFIG_ATEMPO_FILTER)                 += af_atempo.o
OBJS-$(CONFIG_ATRIM_FILTER)                  += trim.o
OBJS-$(CONFIG_AZMQ_FILTER)                   += f_zmq.o
OBJS-$(CONFIG_BANDPASS_FILTER)               += af_biquads.o
OBJS-$(CONFIG_BANDREJECT_FILTER)             += af_biquads.o
OBJS-$(CONFIG_BASS_FILTER)                   += af_biquads.o
OBJS-$(CONFIG_BIQUAD_FILTER)                 += af_biquads.o
OBJS-$(CONFIG_BS2B_FILTER)                   += af_bs2b.o
OBJS-$(CONFIG_CHANNELMAP_FILTER)             += af_channelmap.o
OBJS-$(CONFIG_CHANNELSPLIT_FILTER)           += af_channelsplit.o
OBJS-$(CONFIG_CHORUS_FILTER)                 += af_chorus.o generate_wave_table.o
OBJS-$(CONFIG_COMPAND_FILTER)                += af_compand.o
OBJS-$(CONFIG_COMPENSATIONDELAY_FILTER)      += af_compensationdelay.o
OBJS-$(CONFIG_CROSSFEED_FILTER)              += af_crossfeed.o
OBJS-$(CONFIG_CRYSTALIZER_FILTER)            += af_crystalizer.o
OBJS-$(CONFIG_DCSHIFT_FILTER)                += af_dcshift.o
OBJS-$(CONFIG_DEESSER_FILTER)                += af_deesser.o
OBJS-$(CONFIG_DRMETER_FILTER)                += af_drmeter.o
OBJS-$(CONFIG_DYNAUDNORM_FILTER)             += af_dynaudnorm.o
OBJS-$(CONFIG_EARWAX_FILTER)                 += af_earwax.o
OBJS-$(CONFIG_EBUR128_FILTER)                += f_ebur128.o
OBJS-$(CONFIG_EQUALIZER_FILTER)              += af_biquads.o
OBJS-$(CONFIG_EXTRASTEREO_FILTER)            += af_extrastereo.o
OBJS-$(CONFIG_FIREQUALIZER_FILTER)           += af_firequalizer.o
OBJS-$(CONFIG_FLANGER_FILTER)                += af_flanger.o generate_wave_table.o
OBJS-$(CONFIG_HAAS_FILTER)                   += af_haas.o
OBJS-$(CONFIG_HDCD_FILTER)                   += af_hdcd.o
OBJS-$(CONFIG_HEADPHONE_FILTER)              += af_headphone.o
OBJS-$(CONFIG_HIGHPASS_FILTER)               += af_biquads.o
OBJS-$(CONFIG_HIGHSHELF_FILTER)              += af_biquads.o
OBJS-$(CONFIG_JOIN_FILTER)                   += af_join.o
OBJS-$(CONFIG_LADSPA_FILTER)                 += af_ladspa.o
OBJS-$(CONFIG_LOUDNORM_FILTER)               += af_loudnorm.o ebur128.o
OBJS-$(CONFIG_LOWPASS_FILTER)                += af_biquads.o
OBJS-$(CONFIG_LOWSHELF_FILTER)               += af_biquads.o
OBJS-$(CONFIG_LV2_FILTER)                    += af_lv2.o
OBJS-$(CONFIG_MCOMPAND_FILTER)               += af_mcompand.o
OBJS-$(CONFIG_PAN_FILTER)                    += af_pan.o
OBJS-$(CONFIG_REPLAYGAIN_FILTER)             += af_replaygain.o
OBJS-$(CONFIG_RESAMPLE_FILTER)               += af_resample.o
OBJS-$(CONFIG_RUBBERBAND_FILTER)             += af_rubberband.o
OBJS-$(CONFIG_SIDECHAINCOMPRESS_FILTER)      += af_sidechaincompress.o
OBJS-$(CONFIG_SIDECHAINGATE_FILTER)          += af_agate.o
OBJS-$(CONFIG_SILENCEDETECT_FILTER)          += af_silencedetect.o
OBJS-$(CONFIG_SILENCEREMOVE_FILTER)          += af_silenceremove.o
OBJS-$(CONFIG_SOFALIZER_FILTER)              += af_sofalizer.o
OBJS-$(CONFIG_STEREOTOOLS_FILTER)            += af_stereotools.o
OBJS-$(CONFIG_STEREOWIDEN_FILTER)            += af_stereowiden.o
OBJS-$(CONFIG_SUPEREQUALIZER_FILTER)         += af_superequalizer.o
OBJS-$(CONFIG_SURROUND_FILTER)               += af_surround.o
OBJS-$(CONFIG_TREBLE_FILTER)                 += af_biquads.o
OBJS-$(CONFIG_TREMOLO_FILTER)                += af_tremolo.o
OBJS-$(CONFIG_VIBRATO_FILTER)                += af_vibrato.o generate_wave_table.o
OBJS-$(CONFIG_VOLUME_FILTER)                 += af_volume.o
OBJS-$(CONFIG_VOLUMEDETECT_FILTER)           += af_volumedetect.o

OBJS-$(CONFIG_AEVALSRC_FILTER)               += aeval.o
OBJS-$(CONFIG_ANOISESRC_FILTER)              += asrc_anoisesrc.o
OBJS-$(CONFIG_ANULLSRC_FILTER)               += asrc_anullsrc.o
OBJS-$(CONFIG_FLITE_FILTER)                  += asrc_flite.o
OBJS-$(CONFIG_HILBERT_FILTER)                += asrc_hilbert.o
OBJS-$(CONFIG_SINC_FILTER)                   += asrc_sinc.o
OBJS-$(CONFIG_SINE_FILTER)                   += asrc_sine.o

OBJS-$(CONFIG_ANULLSINK_FILTER)              += asink_anullsink.o

# video filters
OBJS-$(CONFIG_ALPHAEXTRACT_FILTER)           += vf_extractplanes.o
OBJS-$(CONFIG_ALPHAMERGE_FILTER)             += vf_alphamerge.o
OBJS-$(CONFIG_AMPLIFY_FILTER)                += vf_amplify.o
OBJS-$(CONFIG_ASS_FILTER)                    += vf_subtitles.o
OBJS-$(CONFIG_ATADENOISE_FILTER)             += vf_atadenoise.o
OBJS-$(CONFIG_AVGBLUR_FILTER)                += vf_avgblur.o
OBJS-$(CONFIG_AVGBLUR_OPENCL_FILTER)         += vf_avgblur_opencl.o opencl.o \
                                                opencl/avgblur.o boxblur.o
OBJS-$(CONFIG_BBOX_FILTER)                   += bbox.o vf_bbox.o
OBJS-$(CONFIG_BENCH_FILTER)                  += f_bench.o
OBJS-$(CONFIG_BITPLANENOISE_FILTER)          += vf_bitplanenoise.o
OBJS-$(CONFIG_BLACKDETECT_FILTER)            += vf_blackdetect.o
OBJS-$(CONFIG_BLACKFRAME_FILTER)             += vf_blackframe.o
OBJS-$(CONFIG_BLEND_FILTER)                  += vf_blend.o framesync.o
OBJS-$(CONFIG_BM3D_FILTER)                   += vf_bm3d.o
OBJS-$(CONFIG_BOXBLUR_FILTER)                += vf_boxblur.o boxblur.o
OBJS-$(CONFIG_BOXBLUR_OPENCL_FILTER)         += vf_avgblur_opencl.o opencl.o \
                                                opencl/avgblur.o boxblur.o
OBJS-$(CONFIG_BWDIF_FILTER)                  += vf_bwdif.o yadif_common.o
OBJS-$(CONFIG_CHROMAHOLD_FILTER)             += vf_chromakey.o
OBJS-$(CONFIG_CHROMAKEY_FILTER)              += vf_chromakey.o
OBJS-$(CONFIG_CHROMASHIFT_FILTER)            += vf_chromashift.o
OBJS-$(CONFIG_CIESCOPE_FILTER)               += vf_ciescope.o
OBJS-$(CONFIG_CODECVIEW_FILTER)              += vf_codecview.o
OBJS-$(CONFIG_COLORBALANCE_FILTER)           += vf_colorbalance.o
OBJS-$(CONFIG_COLORCHANNELMIXER_FILTER)      += vf_colorchannelmixer.o
OBJS-$(CONFIG_COLORKEY_FILTER)               += vf_colorkey.o
OBJS-$(CONFIG_COLORKEY_OPENCL_FILTER)        += vf_colorkey_opencl.o opencl.o \
                                                opencl/colorkey.o
OBJS-$(CONFIG_COLORHOLD_FILTER)              += vf_colorkey.o
OBJS-$(CONFIG_COLORLEVELS_FILTER)            += vf_colorlevels.o
OBJS-$(CONFIG_COLORMATRIX_FILTER)            += vf_colormatrix.o
OBJS-$(CONFIG_COLORSPACE_FILTER)             += vf_colorspace.o colorspace.o colorspacedsp.o
OBJS-$(CONFIG_CONVOLUTION_FILTER)            += vf_convolution.o
OBJS-$(CONFIG_CONVOLUTION_OPENCL_FILTER)     += vf_convolution_opencl.o opencl.o \
                                                opencl/convolution.o
OBJS-$(CONFIG_CONVOLVE_FILTER)               += vf_convolve.o framesync.o
OBJS-$(CONFIG_COPY_FILTER)                   += vf_copy.o
OBJS-$(CONFIG_COREIMAGE_FILTER)              += vf_coreimage.o
OBJS-$(CONFIG_COVER_RECT_FILTER)             += vf_cover_rect.o lavfutils.o
OBJS-$(CONFIG_CROP_FILTER)                   += vf_crop.o
OBJS-$(CONFIG_CROPDETECT_FILTER)             += vf_cropdetect.o

=== external/FFmpeg/libavfilter/x86/Makefile ===
OBJS-$(CONFIG_SCENE_SAD)                     += x86/scene_sad_init.o

OBJS-$(CONFIG_AFIR_FILTER)                   += x86/af_afir_init.o
OBJS-$(CONFIG_ANLMDN_FILTER)                 += x86/af_anlmdn_init.o
OBJS-$(CONFIG_BLEND_FILTER)                  += x86/vf_blend_init.o
OBJS-$(CONFIG_BWDIF_FILTER)                  += x86/vf_bwdif_init.o
OBJS-$(CONFIG_COLORSPACE_FILTER)             += x86/colorspacedsp_init.o
OBJS-$(CONFIG_EQ_FILTER)                     += x86/vf_eq.o
OBJS-$(CONFIG_FSPP_FILTER)                   += x86/vf_fspp_init.o
OBJS-$(CONFIG_GBLUR_FILTER)                  += x86/vf_gblur_init.o
OBJS-$(CONFIG_GRADFUN_FILTER)                += x86/vf_gradfun_init.o
OBJS-$(CONFIG_FRAMERATE_FILTER)              += x86/vf_framerate_init.o
OBJS-$(CONFIG_HFLIP_FILTER)                  += x86/vf_hflip_init.o
OBJS-$(CONFIG_HQDN3D_FILTER)                 += x86/vf_hqdn3d_init.o
OBJS-$(CONFIG_IDET_FILTER)                   += x86/vf_idet_init.o
OBJS-$(CONFIG_INTERLACE_FILTER)              += x86/vf_tinterlace_init.o
OBJS-$(CONFIG_LIMITER_FILTER)                += x86/vf_limiter_init.o
OBJS-$(CONFIG_MASKEDMERGE_FILTER)            += x86/vf_maskedmerge_init.o
OBJS-$(CONFIG_NOISE_FILTER)                  += x86/vf_noise.o
OBJS-$(CONFIG_OVERLAY_FILTER)                += x86/vf_overlay_init.o
OBJS-$(CONFIG_PP7_FILTER)                    += x86/vf_pp7_init.o
OBJS-$(CONFIG_PSNR_FILTER)                   += x86/vf_psnr_init.o
OBJS-$(CONFIG_PULLUP_FILTER)                 += x86/vf_pullup_init.o
OBJS-$(CONFIG_REMOVEGRAIN_FILTER)            += x86/vf_removegrain_init.o
OBJS-$(CONFIG_SHOWCQT_FILTER)                += x86/avf_showcqt_init.o
OBJS-$(CONFIG_SPP_FILTER)                    += x86/vf_spp.o
OBJS-$(CONFIG_SSIM_FILTER)                   += x86/vf_ssim_init.o
OBJS-$(CONFIG_STEREO3D_FILTER)               += x86/vf_stereo3d_init.o
OBJS-$(CONFIG_TBLEND_FILTER)                 += x86/vf_blend_init.o
OBJS-$(CONFIG_THRESHOLD_FILTER)              += x86/vf_threshold_init.o
OBJS-$(CONFIG_TINTERLACE_FILTER)             += x86/vf_tinterlace_init.o
OBJS-$(CONFIG_VOLUME_FILTER)                 += x86/af_volume_init.o
OBJS-$(CONFIG_W3FDIF_FILTER)                 += x86/vf_w3fdif_init.o
OBJS-$(CONFIG_YADIF_FILTER)                  += x86/vf_yadif_init.o

X86ASM-OBJS-$(CONFIG_SCENE_SAD)              += x86/scene_sad.o

X86ASM-OBJS-$(CONFIG_AFIR_FILTER)            += x86/af_afir.o
X86ASM-OBJS-$(CONFIG_ANLMDN_FILTER)          += x86/af_anlmdn.o
X86ASM-OBJS-$(CONFIG_BLEND_FILTER)           += x86/vf_blend.o
X86ASM-OBJS-$(CONFIG_BWDIF_FILTER)           += x86/vf_bwdif.o
X86ASM-OBJS-$(CONFIG_COLORSPACE_FILTER)      += x86/colorspacedsp.o
X86ASM-OBJS-$(CONFIG_FRAMERATE_FILTER)       += x86/vf_framerate.o
X86ASM-OBJS-$(CONFIG_FSPP_FILTER)            += x86/vf_fspp.o
X86ASM-OBJS-$(CONFIG_GBLUR_FILTER)           += x86/vf_gblur.o
X86ASM-OBJS-$(CONFIG_GRADFUN_FILTER)         += x86/vf_gradfun.o
X86ASM-OBJS-$(CONFIG_HFLIP_FILTER)           += x86/vf_hflip.o
X86ASM-OBJS-$(CONFIG_HQDN3D_FILTER)          += x86/vf_hqdn3d.o
X86ASM-OBJS-$(CONFIG_IDET_FILTER)            += x86/vf_idet.o
X86ASM-OBJS-$(CONFIG_INTERLACE_FILTER)       += x86/vf_interlace.o
X86ASM-OBJS-$(CONFIG_LIMITER_FILTER)         += x86/vf_limiter.o
X86ASM-OBJS-$(CONFIG_MASKEDMERGE_FILTER)     += x86/vf_maskedmerge.o
X86ASM-OBJS-$(CONFIG_OVERLAY_FILTER)         += x86/vf_overlay.o
X86ASM-OBJS-$(CONFIG_PP7_FILTER)             += x86/vf_pp7.o
X86ASM-OBJS-$(CONFIG_PSNR_FILTER)            += x86/vf_psnr.o
X86ASM-OBJS-$(CONFIG_PULLUP_FILTER)          += x86/vf_pullup.o
ifdef CONFIG_GPL
X86ASM-OBJS-$(CONFIG_REMOVEGRAIN_FILTER)     += x86/vf_removegrain.o
endif
X86ASM-OBJS-$(CONFIG_SHOWCQT_FILTER)         += x86/avf_showcqt.o
X86ASM-OBJS-$(CONFIG_SSIM_FILTER)            += x86/vf_ssim.o
X86ASM-OBJS-$(CONFIG_STEREO3D_FILTER)        += x86/vf_stereo3d.o
X86ASM-OBJS-$(CONFIG_TBLEND_FILTER)          += x86/vf_blend.o
X86ASM-OBJS-$(CONFIG_THRESHOLD_FILTER)       += x86/vf_threshold.o
X86ASM-OBJS-$(CONFIG_TINTERLACE_FILTER)      += x86/vf_interlace.o
X86ASM-OBJS-$(CONFIG_VOLUME_FILTER)          += x86/af_volume.o
X86ASM-OBJS-$(CONFIG_W3FDIF_FILTER)          += x86/vf_w3fdif.o
X86ASM-OBJS-$(CONFIG_YADIF_FILTER)           += x86/vf_yadif.o x86/yadif-16.o x86/yadif-10.o

=== mythweather/mythweather/scripts/ca_envcan/Makefile ===
DATA     = ENVCAN-Stations.xml ENVCANParser.pm ENVCANLocation.pm ENVCAN_icons
DATA    += ENVCANMapSearch.pm ENVCAN-Maps.xml

SCRIPTS  = envcan.pl envcan_animaps.pl envcan_maps.pl

include ../Makefile.inc

=== debian/changelog ===
mythtv (2:31.0+fixes.20200323.9579662cdc-0ubuntu1) focal; urgency=medium

  * Scripted Build from fixes git packaging [d441b93]
  * New upstream checkout (9579662cdc)

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 23 Mar 2020 21:15:39 -0500

mythtv (2:31.0+fixes) bionic; urgency=medium

  * Dummy entry to bump the version to 31.0+fixes

 -- Paul Harrison <mythtv@mythqml.net>  Sat, 08 Feb 2020 14:45:39 +0000

=== debian/control ===
Source: mythtv
Section: graphics
Priority: optional
Maintainer: MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>
Uploaders: Mario Limonciello <superm1@ubuntu.com>,
           Andres Mejia <amejia@debian.org>,
Homepage: http://www.mythtv.org
Standards-Version: 3.9.4
Vcs-Git: git://github.com/MythTV/packaging.git
Build-Conflicts: libqt3-mt-dev
Build-Depends:  debhelper (>= 9),
                quilt,
                ccache,
                nasm,
                help2man,
                qtdeclarative5-dev,
                libqt5webkit5-dev,
                libqt5opengl5-dev,
                qtscript5-dev,
                qt5-qmake,
                po-debconf,
                linux-kernel-headers,
                libdvdnav-dev,
                libfreetype6-dev,
                libavc1394-dev,
                libiec61883-dev,
                liblircclient-dev,
                libxinerama-dev | xlibs-static-dev (<< 6.8.1-1),
                libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1),
                libcrystalhd-dev [i386 amd64],
                libxvmc-dev | xlibs-static-dev (<< 6.8.1-1),
                libxext-dev | xlibs-static-dev (<< 6.8.1-1),
                libimlib2-dev,
                libasound2-dev,
                libmp3lame-dev | liblame-dev,
                libsamplerate0-dev,
                libvorbis-dev,
                libdts-dev,
                lsb-release,
                libpulse-dev,
                libxrandr-dev,
                libfftw3-dev,
                libva-dev,
                libvdpau-dev | nvidia-190-libvdpau-dev [i386 amd64] | nvidia-185-libvdpau-dev [i386 amd64] | nvidia-180-libvdpau-dev [i386 amd64],
                libudev-dev,
                libclass-dbi-perl,
                libnet-upnp-perl,
                libio-socket-inet6-perl,
                libdbd-mysql-perl,
                libjson-perl,
                libwww-perl,
                dh-python | python-central,
                python3,
                python3-lxml,
                python3-mysqldb,
                python3-requests,
                python3-simplejson,
                python3-future,
                libgl1-mesa-dev | xlibmesa-gl-dev | xlibmesa-dev | libgl-dev,
                libdvdread-dev | libdvdread3-dev,
                fftw-dev,
                libvorbis-dev,
                libflac-dev,
                libmad0-dev,
                libcdaudio-dev,
                libcdio-dev,
                libcdparanoia-dev | libcdparanoia0-dev,
                libsdl2-dev,
                libfaad-dev | libfaad2-dev,
                libexif-dev (>= 0.6.9-6),
                libtiff5-dev | libtiff4-dev | libtiff-dev,
                libxv-dev,
                libtag1-dev,
                libvisual-0.4-dev,
                default-libmysqlclient-dev | libmysqlclient-dev,
                libdate-manip-perl,
                libxml-simple-perl,
                libimage-size-perl,
                libdatetime-format-iso8601-perl,
                libsoap-lite-perl,
                libx264-dev,
                libvpx-dev,
                libavahi-compat-libdnssd-dev,
                libssl-dev,
                libcdio-cdda-dev,
                libcdio-paranoia-dev,
                libxml2-dev,
                libass-dev,
                libcec-dev,
                libexiv2-dev,
                uuid-dev,
                libxml-xpath-perl,
                git,
                libsystemd-dev,
                dh-systemd,
                libraspberrypi-dev [armhf] | hello,
                libbluray-dev,
                libxnvctrl-dev,
                liblzo2-dev,
                libxcb-shm0-dev,
                libhdhomerun-dev,
                libminizip-dev

Package: mythtv
Architecture: all
Depends: default-mysql-server | virtual-mysql-server | mysql-server-5.7 | mysql-server-5.6 | mariadb-server,
         mythtv-database,
         mythtv-frontend,
         mythtv-backend,
         ntp | time-daemon | ntp-simple,
         ${misc:Depends}
Suggests: mythtv-doc
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 http://www.mythtv.org/
 .
 This package will install a complete MythTV client/server environment on a
 single system.  If you are intended on using this as your only MythTV machine,
 and this machine is already configured as a desktop, this package will get you
 up and running switfly.
 .
 If you are intended on installing this on a standalone/non-desktop machine,
 you should look into the Metapackages available:
 mythtv-backend-master (backend with a local database)
 mythtv-backend (backend needing a remote database)

Package: mythtv-common
Architecture: any
Pre-Depends: pwgen,
Depends: adduser,
         default-mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
         fonts-liberation | ttf-liberation,
         fonts-droid-fallback | fonts-droid | ttf-droid,
         ttf-dejavu,
         fonts-tlwg-purisa,
         fonts-texgyre | tex-gyre,
         libxml-xpath-perl,
         pciutils,
         usbutils,
         python3,
         python3-requests,
         python3-requests-cache,
         python3-simplejson,
         python3-mysqldb,
         python3-lxml,
         python3-future,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: mythtv-doc
Recommends: mythtv-dbg
Conflicts: mythtv (<< 0.8-1),
           mythmusic (<< 0.20.99+trunk14393),
           mythweather (<< 0.20.99+trunk14393),
           mythcontrols,
           mythtv-themes,
           mythtv-theme-mythcenter,
           mythtv-theme-mythcenter-wide,
           mythtv-theme-gray-osd,
           mythtv-theme-isthmus,
           mythtv-theme-blootube,
           mythtv-theme-blootube-wide,
           mythtv-theme-blootubelite-wide,
           mythtv-theme-glass-wide,
           mythtv-theme-projectgrayhem,
           mythtv-theme-proejctgrayhem-wide,
           mythtv-theme-metallurgy,
           mythtv-theme-minimalist-wide,
           mythtv-theme-retro,
           mythtv-theme-titivillus,
           mythtv-theme-iulius,
           mythtv-theme-childish,
           mythtv-theme-neon-wide
Replaces:  mythtv (<< 0.8-1),
           mythtv-frontend (<< 0.23.0~trunk23548),
           mythmusic (<< 0.20.99+trunk14393),
           mythweather (<< 0.20.99+trunk14393),
           mythcontrols (<< 0.20.trunk19500),
           mythcontrols, mythtv-theme-mythcenter,
           mythtv-theme-mythcenter-wide,
           mythtv-theme-isthmus,
           mythtv-theme-gray-osd,
           mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
           mythtv-database (<< 0.24.0~trunk25638),
           mythvideo,
           mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4)
Breaks:    mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
           mythvideo,
           mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4)
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Conflicts: mythtv (<< 0.8-1)
Section: doc
Replaces: mythtv (<< 0.8-1)
Depends: ${misc:Depends}
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Depends: mythtv-common,
         libdbd-mysql-perl,
         default-mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
         cron,
         ${misc:Depends}
Recommends: update-notifier | update-notifier-kde
Conflicts: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Replaces: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package sets up a MySQL database for use by MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: any
Depends: mythtv-common, mythtv-transcode-utils, ${shlibs:Depends}, cron, wget, zenity | kdebase-bin, xterm, python3, libjs-jquery, libxml-simple-perl, ${misc:Depends}
Conflicts: mythtv (<< 0.8-1)
Replaces: mythtv (<< 0.8-1), mythtv-frontend (<= 0.20-0.4)
Recommends: ntp | time-daemon | ntp-simple, logrotate, libmyth-python, libmythtv-perl, hdhomerun-config
Suggests: mythtv-frontend, mythweb, mythtv-database, xmltv-util
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-transcode-utils
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
Conflicts: mythtv-backend (<< 0.20.2-0ubuntu1)
Replaces: mythtv-backend (<< 0.20.2-0ubuntu1)
Suggests: mythtv-backend, mytharchive
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.
 This package provides utilities that can be used on both without
 requiring an entire backend to be installed.

Package: mythtv-frontend
Architecture: any
Depends: mythtv-common,
         ${shlibs:Depends},
         ${misc:Depends},
         libnotify-bin,
         adduser,
         zenity | kdebase-bin,
         wmctrl,
         libxml-simple-perl,
         libwww-perl,
         libmyth-python,
         python3,
         libgles2-mesa-dev [armhf],
         libegl1-mesa-dev [armhf],
Recommends: libmythtv-perl, python3-imaging | python3-pil, udisks2 | udisks
Suggests: mythtv-backend, mythmusic, mythweather, mythgame, ntp | time-daemon | ntp-simple
Conflicts: mythtv (<< 0.8-1), mythappearance (<< 0.21.0), mythstream (<< 0.21.0), mythflix (<< 0.23.0)
Replaces: mythtv (<< 0.8-1),  mythappearance (<< 0.21.0), mythvideo
Breaks: mythvideo
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libqt5sql5-mysql, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

#For our custom rules on all mythtv packages
# get-orig-source
# info
# newest-revision
include debian/mythtv.make

#build goes here
buildroot       := debian/tmp

# Set this to yes for releases
MYTHTV_RELEASE ?= no
ifeq (yes,$(MYTHTV_RELEASE))
MYTHTV_COMPILE_TYPE = release
else
MYTHTV_COMPILE_TYPE = profile
endif

# Use the 'profile' compile type when nostrip or noopt is used
ifneq (,$(filter nostrip noopt,$(DEB_BUILD_OPTIONS)))
MYTHTV_COMPILE_TYPE = profile
endif

## Export QT version explicitely (fixes issues for non x86/arm builders)
export QT_SELECT = 5

#                                      #
# Architecture Independent Build flags #
#                                      #
MYTHTV_CONFIGURE_OPTS +=    --compile-type=$(MYTHTV_COMPILE_TYPE) \
				--prefix=/usr \
				--runprefix=/usr \
				--enable-lirc \
				--enable-audio-alsa \
				--enable-audio-oss \
				--enable-dvb \
				--enable-ivtv \
				--enable-firewire \
				--enable-joystick-menu \
				--with-bindings=perl \
				--enable-ffmpeg-pthreads \
				--enable-pic \
				--perl-config-opts="INSTALLDIRS=vendor" \
				--enable-libvpx \
				--enable-sdl \
				--enable-libmp3lame \
				--enable-libx264 \
				--enable-vdpau

#                                    #
# Architecture dependent build flags #
#                                    #
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq "$(DEB_BUILD_ARCH)" "armhf"
	MYTHTV_CONFIGURE_OPTS += --disable-opengl --disable-vaapi
else ifeq "$(DEB_BUILD_ARCH)" "arm64"
	MYTHTV_CONFIGURE_OPTS += --disable-opengl --disable-vaapi
else ifeq "$(DEB_BUILD_ARCH)" "s390x"
	MYTHTV_CONFIGURE_OPTS += --disable-opengl --disable-vaapi
else ifeq "$(DEB_BUILD_ARCH)" "ppc64el"
	MYTHTV_CONFIGURE_OPTS += --disable-opengl --disable-vaapi
else
	MYTHTV_CONFIGURE_OPTS += --enable-vaapi
endif
ifeq "$(DEB_BUILD_ARCH)" "i386"
	MYTHTV_CONFIGURE_OPTS +=  --cpu=i686 --enable-mmx
endif
ifeq "$(DEB_BUILD_ARCH)" "powerpc"
	MYTHTV_CONFIGURE_OPTS += --enable-altivec --extra-cxxflags="-maltivec"
endif
#ifeq "$(DEB_BUILD_ARCH)" "armhf"
#        MYTHTV_CONFIGURE_OPTS += --extra-cflags="-I/opt/vc/include" --extra-cxxflags="-I/opt/vc/include" --extra-cflags="-I/opt/vc/include/IL" --extra-cxxflags="-I/opt/vc/include/IL" --extra-libs="-L/opt/vc/lib" --extra-cflags="-I/opt/vc/include/interface/vcos/pthreads" --extra-cxxflags="-I/opt/vc/include/interface/vcos/pthreads" --extra-cflags="-I/opt/vc/include/interface/vmcs_host/linux" --extra-cxxflags="-I/opt/vc/include/interface/vmcs_host/linux" --extra-libs="-lEGL"
#endif

#Mythplugins configure opts
MYTHPLUGINS_CONFIGURE_OPTS += --prefix=/usr \
                              --zm-version=1.22.3 \
                              --qmake=/usr/bin/qmake \

ifeq "$(DEB_BUILD_ARCH)" "armhf"
	MYTHPLUGINS_CONFIGURE_OPTS += --disable-opengl
endif

#Use moar CPUs for jya
PROCESSORS       ?= $(shell grep -ic ^processor /proc/cpuinfo)
ifeq (0,$(PROCESSORS))
PROCESSORS := 1
endif

#link problem with binutils 2.21 in precise
#and ffmpeg sync from 0.26, libswscale
LDFLAGS:=$(shell DEB_LDFLAGS_MAINT_STRIP="-Wl,-Bsymbolic-functions" dpkg-buildflags --get LDFLAGS)

# Need a writable home directory for ccache
export HOME=$(CURDIR)/debian/home_$(DEB_BUILD_ARCH)

%:
	dh $@ --parallel --with systemd

#Rather than have a configure/build/install phase, combine them all so we can do each part in order
override_dh_auto_install:
	if [ -f mythtv/EXPORTED_VERSION ] && [ -f debian/DESCRIBE ]; then \
		mv mythtv/EXPORTED_VERSION mythtv/EXPORTED_VERSION.old ;\
		cp debian/DESCRIBE mythtv/EXPORTED_VERSION ;\
	fi
	cd mythtv && sh version.sh `pwd`

	mkdir $(CURDIR)/debian/home

	#mythtv
	cd mythtv && ./configure $(MYTHTV_CONFIGURE_OPTS)
	$(MAKE) -j$(PROCESSORS) -C mythtv
	$(MAKE) -C mythtv install INSTALL_ROOT=$(CURDIR)/debian/tmp

	#mythplugins
	cd mythplugins && ./configure $(MYTHPLUGINS_CONFIGURE_OPTS) --mythroot=$(CURDIR)/debian/tmp:$(CURDIR)/debian/libmyth-python
	$(MAKE) -j$(PROCESSORS) -C mythplugins
	for plugin in mytharchive \
	mythgame mythmusic mythmovies mythnews \
	mythweather mythzoneminder mythbrowser ; do \
		$(MAKE) -C mythplugins/$$plugin install INSTALL_ROOT=$(CURDIR)/debian/$$plugin; \
	done

	#(MythTV) We replace these with shell scripts
	mv debian/tmp/usr/bin/mythfrontend debian/tmp/usr/bin/mythfrontend.real
	mv debian/tmp/usr/bin/mythtv-setup debian/tmp/usr/bin/mythtv-setup.real

	#(All) Make sure python/perl scripts are executable
	find debian/tmp/usr/share -type f \( -iname "*.p[y|l]" ! -iname "oauth_api.py" \) -size +1b -exec chmod 755 {} \;

	#Set up python package properly
	dh_python3 -plibmyth-python

override_dh_install:
	mkdir -p ${buildroot}/etc/php5/apache2/conf.d; \
	cp debian/20-mythweb.ini   ${buildroot}/etc/php5/apache2/conf.d; \
	mkdir -p ${buildroot}/etc/php/7.0/apache2/conf.d; \
	cp debian/20-mythweb.ini   ${buildroot}/etc/php/7.0/apache2/conf.d; \
	dh_install -Xusr/share/mythtv/fonts/Free \
                   -Xusr/share/mythtv/fonts/Purisa \
                   -Xusr/share/mythtv/fonts/texgyrechorus \
                   -Xusr/lib/libmythzmq.la \
                   -Xusr/share/mythtv/fonts/tiresias_gpl3.txt \
                   -XLICENSE \
                   -X.git \
                   -Xscriptaculous \
                   -Xprototype.js \
                   -Xjquery.min.js \
                   --fail-missing

override_dh_installinit:
	dh_installinit

	#(MythTV) Remove license files
	find debian/tmp -name "COPYING" -delete
	find debian/tmp -name "README.license" -delete

	#(MythTV) Set correct permissions for png and html files
	find debian/tmp -regex '.*\.png$$' -print0 | xargs -0 -r chmod 644
	find debian/tmp -regex '.*\.html$$' -print0 | xargs -0 -r chmod 644

override_dh_strip:
	dh_strip --dbg-package=mythtv-dbg

override_dh_compress:
	dh_compress -X.pl -X.py

override_dh_fixperms:
	dh_fixperms -X.pl -X.py
	#themes shouldn't be like this
	for type in png html txt jpg xml ; do \
		find debian -name "*.$$type" -type f -exec chmod -x {} \; ;\
	done

override_dh_auto_clean:
	[ -f mythtv/config.mak ] && $(MAKE) -C mythtv distclean || true
	[ -f mythplugins/config.pro ] && $(MAKE) -C mythplugins distclean || true
	[ -f mythtv/VERSION.old ] && mv mythtv/VERSION.old mythtv/VERSION || true
	dh_auto_clean
	debconf-updatepo
	rm -rf $(CURDIR)/debian/home

override_dh_installdocs:
	dh_installdocs
	#(MythTV) Remove license files from contrib documentation.
	find debian/mythtv-backend/usr/share/doc/mythtv-backend/contrib \
		-name "COPYING" -delete
	rm -f debian/mythtv-common/usr/share/mythtv/themes/Terra/watermarks/README.license

	#(MythWeb)
	for file in LICENSE README INSTALL; do \
		rm -f debian/mythweb/usr/share/mythtv/mythweb/$$file ;\
	done
	find debian/mythweb -name ".gitignore" -type f -delete || true
	rm -rf debian/mythweb/usr/share/mythtv/mythweb/data/tv_icons
	rm -rf debian/mythweb/usr/share/mythtv/mythweb/data/cache

	#(Myththemes)
	rm -f debian/mythtv-theme-childish/usr/share/mythtv/themes/Childish/COPYING

override_dh_installman:
	debian/generate_manpages.sh
	dh_installman
